Name:           mpdas
Version:        0.4.2
Release:        2%{?dist}
Summary:        An MPD audioscrobbling client

Group:          Applications/Text
License:        BSD
URL:            http://50hz.ws/%{name}/
Source0:        http://50hz.ws/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libcurl-devel
BuildRequires:  libmpdclient-devel
Provides:       bundled(md5-deutsch)

%description
mpdas is a MPD AudioScrobbler client supporting the 2.0 protocol 
specs. It is written in C++ and uses libmpd to retrieve the song 
data from MPD and libcurl to post it to Last.fm


%prep
%setup -q


%build
export CONFIG="%{_sysconfdir}" PREFIX="$RPM_BUILD_ROOT%{_prefix}" MANPREFIX="$RPM_BUILD_ROOT%{_mandir}" CXXFLAGS+="$RPM_OPT_FLAGS"
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix} $RPM_BUILD_ROOT%{_mandir}/man1/ $RPM_BUILD_ROOT%{_sysconfdir} $RPM_BUILD_ROOT%{_bindir}

# Manually install them
install -m 0755 mpdas $RPM_BUILD_ROOT%{_bindir}/mpdas
rm mpdas -f
install -m 0644 mpdas.1 $RPM_BUILD_ROOT%{_mandir}/man1/mpdas.1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README mpdasrc.example
%{_mandir}/man1/mpdas.1*
%{_bindir}/mpdas

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 22 2016 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4.2-1
- Update to latest upstream version

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.0-10
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- Rebuilt for c++ ABI breakage

* Fri Jan 06 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.0-3
- spec bump for gcc 4.7 rebuild

* Thu Apr 14 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.0-2
- Changed make flags

* Mon Mar 14 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org>-  0.3.0-2
- Added virtual requires for md5-deutshc

* Sat Feb 26 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.0-2
- add a patch to fix a minor glitch in the man page

* Sat Feb 26 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.0-1
- Initial rpm build
